Fx 3.5 need it Rated 5 out of 5 stars

Please make it compatibel with Firefox 3.5. I love it!
Greetz
Bo

This review is for a previous version of the add-on (4.0.1).